# Generated by Django 3.0.6 on 2021-04-22 19:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('partida', '0010_auto_20210419_1140'),
    ]

    operations = [
        migrations.AlterField(
            model_name='listadomat',
            name='cantidad',
            field=models.IntegerField(verbose_name='Cantidad'),
        ),
        migrations.AlterField(
            model_name='maestromat',
            name='p_unitario',
            field=models.IntegerField(verbose_name='Precio unitario'),
        ),
        migrations.CreateModel(
            name='RequisicionConcep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cantidad', models.CharField(max_length=200, verbose_name='cantidad de materiales')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
                ('concepto_id', models.ManyToManyField(to='partida.Concepto', verbose_name='Conceptos')),
                ('requisicion_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='partida.Requisicion', verbose_name='Requisición')),
            ],
            options={
                'verbose_name': 'Requisicion de Materiales',
                'ordering': ['-created'],
            },
        ),
    ]
